<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

 <script type="text/javascript">
   function confirmation() {
     if(confirm("Esta seguro de eliminar la seleccion?"))
     {
        return true;
     }
      return false;
   }
   
   function confirmation1() {
     if(confirm("Esta seguro de terminar el ingreso de Medicamentos?"))
     {
        return true;
     }
      return false;
   }

   function confirmation2() {
     if(confirm("Esta seguro de cerra la cita?"))
     {
        return true;
     }
      return false;
   }
 </script>

   <script src="js/ajax.js"></script> 
   <script src="js/cups.js"></script>  

   <script>
     function check1(box) {
       if (box.checked) {
         document.getElementById("chkDgs").checked=false
       }
      }
      function check2(box) {
        if (box.checked) {
           document.getElementById("chkCups").checked=false 
         }
      }
    </script>
 
<?php
 include("header.php"); 
 include("select.php");
 include('conexionOdo.php');
 
/*===================================================================================
   =============================LISTAS DE DIAGNOSTICOS ===============================
   =================================================================================== */
    
  //consulta lista de odontograma de diagnosticos
  $query="SELECT * from SIO_LIS_ODONTOGRAMA WHERE tipOdo='DG' order by descripcion";
  $result = mysql_query($query) or die('Consulta de lista odontograma de diagnostico fallida: ' . mysql_error());
  //$line = mysql_fetch_array($result, MYSQL_ASSOC);  
    
  $comboLisOd="";
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
  {
   $comboLisOd .=" <option value='".$line['codigo']."'>".$line['descripcion']."</option>"; 
  }
  // Liberar resultados
  mysql_free_result($result);

  //consulta lista de odontograma de tratamiento
  $query="SELECT * from SIO_LIS_ODONTOGRAMA WHERE tipOdo='TR' order by descripcion";
  $result = mysql_query($query) or die('Consulta de lista odontograma de tratamiento fallida: ' . mysql_error());
  //$line = mysql_fetch_array($result, MYSQL_ASSOC);  
    
  $comboLisTr="";
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
  {
   $comboLisTr .=" <option value='".$line['codigo']."'>".$line['descripcion']."</option>"; 
  }
  // Liberar resultados
  mysql_free_result($result);


  //========================== ========================== 
  $query="SELECT * FROM SIO_GRUPO_CIE10";
  $result = mysql_query($query) or die('Consulta de grupos para cie10: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboGrCie10 .=" <option value=''>".'Grupo Diagnostico'."</option>";
      }
    //  else
    //  {  
        $comboGrCie10 .=" <option value='".$line['codGrupo']."'>".$line['nomGrupo']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result); 
  //========================== ========================== 

 //========================== ========================== 
  $query="SELECT * FROM SIO_GRUPO_CUPS";
  $result = mysql_query($query) or die('Consulta de grupos para cups: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboGrCups .=" <option value=''>".'Grupo Cups'."</option>";
      }
    //  else
    //  {  
        $comboGrCups .=" <option value='".$line['codGrCups']."'>".$line['nomGrCups']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result); 
  //========================== ========================== 

/*===================================================================================
   =============================FINNNN LISTAS DE DIAGNOSTICOS ===============================
   =================================================================================== */

 //////////////////////////VIENE DE HISTORIA
 $le= $_GET['lin'];
 $lin   = base64_decode($le);
 $linea = explode("/", $lin);
 $nConsulta       = $linea[0];
 $s_tipoHistoria  = $linea[1];
 
 session_start();    
 $s_nitEmpresa = $_SESSION['nitEmpresa']; 
 $s_codSede    = $_SESSION['codSede'];
 $s_usuario    = $_SESSION['nombreUsuario'];
 $s_empresa    = $_SESSION['empresaUsuario'];
 $s_cargo      = $_SESSION['cargoUsuario'];
 $s_idUsuario  = $_SESSION['idUsuario']; 
 //paciente
 $s_tipoId     = $_SESSION['e_tipoId'];
 $s_identifica = $_SESSION['e_identifica'];
 
 // trae datos del paciente
 $query = "SELECT CONCAT(nomPaciente, ' ', apell1paciente, ' ', apell2Paciente) AS paciente,RH ".
          " FROM SIME_BAS_PACIENTE ".
          " WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica ";
 $result = mysql_query($query) or die('Consulta de datos del paciente fallida nnn: ' . mysql_error());
    
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $s_paciente = $line["paciente"];
 $s_RH = $line["RH"];
 // Liberar resultados
 mysql_free_result($result); 
 

 if(isset($_GET['grabar']))
 {
   $s_diente       = $_GET['diente'];
   $dienteCara     = explode("|", $s_diente); 
   $diente         = $dienteCara[0];
   $cara           = $dienteCara[1];
   $nConsulta      = $_GET['nConsulta'];

   $s_odonto  = $_GET['odonto'];
   $s_codCup  = $_GET['codCup'];
   $s_observa = $_GET['observa'];
  
   $w_fecha        = date("Y-m-d",time());

  $error="N";
  if ($s_odonto=="")
  {
    echo "<script type=\"text/javascript\">alert(\"Debe Seleccionar un diagnostico;\");</script>";  
    $error = "S";
  }

  if ($s_codCup=="")
  {
    echo "<script type=\"text/javascript\">alert(\"Debe Seleccionar un procedimiento\");</script>";  
    $error = "S";
  }

  // no hay errores
  if($error=="N") 
  {
     //verifica existencia del diagnostico y el procedimiento   
     $sqlCtosDi = "SELECT COUNT(*) AS totDg FROM SIO_DIAPRO_HISTORIA ".
                   "WHERE numConsulta=$nConsulta AND numeroId=$s_identifica  AND ".
                        " numDiente=$diente AND caraDiente='$cara' AND codCie10='$s_odonto' AND ".
                        " codCups='$s_codCup'";
     $resultCtsDi = mysql_query($sqlCtosDi) or die('Consulta de cuantos diagnosticos fallida: ' . mysql_error()); 
     $lineCtsDi = mysql_fetch_array($resultCtsDi, MYSQL_ASSOC);
     $ctsDig  = $lineCtsDi["totDg"];

     
     if ($ctsDig == 0)
     {
       $query = "INSERT INTO SIO_DIAPRO_HISTORIA ".
              "(nitEmpresa, codSede, numConsulta, ".
              " tipoId, numeroId, ".
              " numDiente, caraDiente ,codCie10, ".
              " codCups, observaciones, ".
              " fechaConsulta, medConsulta) ".
       "VALUES( $s_nitEmpresa, $s_codSede, $nConsulta, ".
              " '$s_tipoId', $s_identifica, ".
              " $diente, '$cara', '$s_odonto', ".
              " '$s_codCup', '$s_observa', ".
              " '$w_fecha', $s_idUsuario)"; 
       $result = mysql_query($query) or die('Adicion diagnosticos y procedimientos fallida: ' . mysql_error()); 
    }//==0  
  }//NO HAY ERROR
 }// GRABAR

 
 if(isset($_GET['BorrDg']))
 {
   $dg = $_GET['BorrDg'];     
   $dgp  = explode("-", $dg);
   $s_di = $dgp[0]; 
   $s_ca = $dgp[1];
   $s_cie = $dgp[2];     
     
   $s_yaGrabo   = $_GET['yaGrabo'];
   $nConsulta   = $_GET['nConsulta'];
   
   $queryDel  = "DELETE FROM SIO_DIAPRO_HISTORIA ".
                 "WHERE numConsulta=$nConsulta AND numeroId=$s_identifica AND ".
                      " numDiente=$s_di AND caraDiente='$s_ca' AND codCie10='$s_cie'";  
   $resultDel = mysql_query($queryDel) or die('Borrar diagnostico fallido: ' . mysql_error());      
 }//BorrarDg   
 
 if(isset($_GET['btnMed']))
 { 

    $tipoHis     = $_GET['s_tipoHistoria'];
    $nConsulta   = $_GET['nConsulta'];
    $medicamento = $_GET['coMed_s'];  
    $medObserva  = $_GET['medObserva'];
    $w_fecha     = date("Y-m-d",time());
   
   // VERIFICA EXISTENCIA DE MEDICAMENTOS
   $query = "SELECT count(*) AS numC1 FROM SIO_MEDICAMENTOS where numConsulta=$nConsulta AND codMedPos='$medicamento' ";
   $result = mysql_query($query) or die('Consulta numero de medicamentos fallida: ' . mysql_error());
   //asigna valores a variables de trabajo
   $line = mysql_fetch_array($result, MYSQL_ASSOC);
   $nMed = $line["numC1"];
    
   if ($nMed==0) 
   {    
     // INSERTAR MEDICAMENTOS
     $query = "INSERT INTO SIO_MEDICAMENTOS " .
              "(nitEmpresa, " . 
              "codSede, " . 
              "tipoId, " .
              "idPaciente, ".
              "numConsulta, ".
              "tipoHistoria, ".
              "codMedPos, ".
              "observaciones ) ".
     " VALUES ($s_nitEmpresa, " . 
              "$s_codSede, " .
              "'$s_tipoId', ".
              "$s_identifica, ".
              "$nConsulta, ".
              "'$s_tipoHistoria', ".
              "'$medicamento', ".
              "'$medObserva')";            
     $result = mysql_query($query) or die('Insercion de medicamentos fallida: ' . mysql_error());
   }
   else
   {
     $query = " UPDATE SIO_MEDICAMENTOS SET observaciones = '$medObserva' WHERE numConsulta=$nConsulta AND codMedPos='$medicamento' ";
     $result = mysql_query($query) or die('Modificaci&oacute;n de medicamentos fallida: ' . mysql_error());
   }
       
   // Liberar resultados
   mysql_free_result($result);
} // btnMed


   /////////////////////////////////////////////////////////////////
   /////////////////////////////////////////////////////////////////
   if(isset($_GET['btnCups']))
    { 
       date_default_timezone_set('America/Bogota');
       $w_fecha        = date("Y-m-d",time());
       $tipoHis     = $_GET['s_tipoHistoria'];
       $s_tipohistoria = $_GET['s_tipohistoria'];
       $nConsulta      = $_GET['nConsulta'];
       $cups           = $_GET['coPro_s'];
       $cupsObserva    = $_GET['cupsObserva'];

       
        // VERIFICA EXISTENCIA DE CUPS
        $query = "SELECT count(*) AS numC1 FROM TEMPORAL_PR where numTemporal=$nConsulta AND cups='$cups' ";
echo $query;
        $result = mysql_query($query) or die('Consulta numero de cups fallida: ' . mysql_error());
        //asigna valores a variables de trabajo
        $line = mysql_fetch_array($result, MYSQL_ASSOC);
        $nCups = $line["numC1"];
        
        if ($vDe<>"brr")
        {
          if ($nCups==0) 
          {    
            // INSERTAR CUPS
            $query = "INSERT INTO TEMPORAL_PR " .
                       "(nitEmpresa, " . 
                       "codSede, " . 
                       "tipoId, " .
                       "idPaciente, ".
                       "numTemporal, ".
                       "tipoHistoria, ".
                       "cups,".
                       "observaciones,".
                       "fechaConsulta ) ".
              " VALUES ($s_nitEmpresa, " . 
                      "$s_codSede, " .
                      "'$s_tipoId', ".
                      "$s_identifica, ".
                      "$nConsulta, ".
                      "'$s_tipoHistoria', ".
                      "'$cups', ".
                      "'$cupsObserva',".
                      "'$w_fecha')";

            $result = mysql_query($query) or die('Insercion de procedimientos fallida: ' . mysql_error());
          }
          else
          {
           $query = " UPDATE TEMPORAL_PR SET observaciones = '$cupsObserva' WHERE numTemporal=$nConsulta AND cups='$cups' ";
           $result = mysql_query($query) or die('Modificaci&oacute;n de cups fallida: ' . mysql_error());
          }
        } 
        // Liberar resultados
        mysql_free_result($result);  
    } // btnCups

    if(isset($_GET['BorrarCups']))
    {
      $nConsulta   = $_GET['nConsulta'];
      $id = $_GET['BorrarCups']; 
      $query = "DELETE FROM TEMPORAL_PR WHERE cups = '$id' AND numTemporal=$nConsulta";
echo $query;
      $result = mysql_query($query) or die('Eliminacion de Procedimiento fallida: ' . mysql_error());
    }

if(isset($_GET['BorrarMed']))
    {
      $nConsulta   = $_GET['nConsulta'];
      $id = $_GET['BorrarMed']; 
      $query = "DELETE FROM SIO_MEDICAMENTOS WHERE codMedPos='$id' AND numConsulta = $nConsulta";
      $result = mysql_query($query) or die('Eliminacion de Medicamentos fallida: ' . mysql_error());
    }
    
?>

<p></p>
    <table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">
      <tr>
        <td align="center" colspan="3">
         <label style="color:#34495e; font-size:14px; border-radius:2px;"><b><?=$mensajeGrabar1?></b></label>
        </td>
      </tr> 
      <tr>
        <td class="titulosTabla" align="center" colspan="3" style="border-radius:3px;">
           HISTORIA CLINICA:  <?=$s_tipoHistoria?> 
        </td>   
      </tr>
      <tr>
        <td width="30%"class="subtutulosTabla" align="center" style="border-radius:3px;" >Paciente:</td>
        <td width="60%" class="titulosTabla1" align="left" >
           <?=$s_tipoId?> No.: <?=$s_identifica?>  - <?=$s_paciente?> 
         </td>
         <td width="10%" class="titulosTabla1">RH: <?=$s_RH?></td>
      </tr>
    </table> 


<?php
if ($s_tipoHistoria=="URGENCIAS") 
{
?>

      

<!--===================================================================================
   =============================LISTAS DE DIAGNOSTICOS ===============================
   =================================================================================== -->
<form method="_GET" action="<?php echo $_SERVER['PHP_SELF']; ?>">
  <table width="960" border="0" align="center" cellpadding="0" class="tablaProductos">  
       <tr></td><br></td></tr>  
       <tr>
          <td colspan="3" class="titulosTabla" align="left" >SELECCIONE EL DIENTE,  EL DIAGNOSTICO Y EL PROCEDIMIENTO </td> 
       </tr>

       <tr>
        <td class="negrita">Diente/Cara<td/>
       </tr>
       <tr>  
        <td>
           <select name="diente" required style="width:220px; height:22px;">
              <?php echo $comboDiente; ?>
           </select>
        </td>
       </tr>

       <tr>
          <td class="negrita">Diagn&oacute;stico<td/>
       </tr>
       <tr>
          <td>
            <select name="grDg" id="grDg"  onchange="load(this.value)" style='height:25; width:220'>
               <?php echo $comboGrCie10; ?>
            </select>
          </td>
          <td>
              <div id="myDiv"></div>
          </td>
        </tr>  

        <tr>  
          <td class="negrita">Procedimiento<td/> 
        </tr>
        <tr>
          <td>
            <select name="grCups" id="grCups"  onchange="load1(this.value)" style='height:25; width:220'>
               <?php echo $comboGrCups; ?>
            </select>
          </td>
          <td>
             <div id="myDiv1"></div>
          </td>
        </tr> 

        <tr>
          <td colspan="5" align="left">  
                <textarea class="style-1" placeholder="Observaciones"  style="family-font:Arial;" rows="2" cols="150" wrap="soft" name="observa" id="observa"></textarea>
          </td>
        </tr>

        <tr>  
            <td colspan="5" align="center">
             <input type="submit" name="grabar" id="grabar" value="ADICIONAR DIAGNOSTICO/PROCEDIMIENTO" style="height:30px; width:400px;"/>
            </td>
          </tr>
   </table>

   <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
   <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
   <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
   <input type="hidden" name="lin" value="<?=$le?>" /> 
</form>

<form method="_GET" action="<?php echo $_SERVER['PHP_SELF']; ?>">
   <?php 
      //arma tabla diagnosticos y procedimientoos elegidos
      $query = " SELECT A.*,  B.descripcion, C.nomCie10 " .
                  " FROM SIO_DIAPRO_HISTORIA A, SIO_PROC_POS B, SIO_CIE10 C ".
                  " WHERE A.numConsulta = $nConsulta AND ".
                  "       A.codCups  = B.cups AND ". 
                  "       A.codCie10 = C.codCie10 ".
                  "       order by A.numDiente"; 
      $result = mysql_query($query) or die('Consulta de diagnosticos y procedimientoos fallida: ' . mysql_error());
        
      $k=0;
      while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $s_numDiente       = $line['numDiente'];
          $s_caraDiente      = $line['caraDiente'];
          $_codCie10         = $line['codCie10'];
          $s_nomCie10        = $line['nomCie10'];
          $s_descripcion     = $line['descripcion'];
          $s_observaciones   = $line['observaciones'];    

          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($k==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='7'>LISTA DE DIAGNOSTICOS Y PROCEDIMIENTOS REALIZADOS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Diente / Cara /Dg</td>\n");
                  echo("<td width='20%' class='negrita'>Diagn&oacute;stico</td>\n");
                  echo("<td width='25'%' class='negrita'>Procedimiento</td>\n");
                  echo("<td width='25%' class='negrita'>Observaciones</td>\n"); 
                echo("</tr>\n");
              }       
          echo ("<tr>\n");

          echo("<td width='15%' align='center' class='camposTabla'><input type='submit' id='BorrDg' name='BorrDg' value='$s_numDiente-$s_caraDiente-$_codCie10' style='width:150' onclick='return confirmation()'></td>\n");
            echo("<td width='20%'class='camposTabla1' align='left'>$s_nomCie10</td>\n");
            echo("<td width='25%' class='camposTabla1' align='left'>$s_descripcion</td>\n");
            echo("<td width='25%' align='left'>$s_observaciones </td>\n");          
          echo("</tr>\n");
        
          $k = $k+1;

      }//while
      if ($k>0)
        {
         $ldg=$nConsulta ."/". $s_tipoId ."/" .$s_identifica;
         $lDP = base64_encode($ldg);
        ?>
        <tr>
          <td align="right" colspan="5"> 
           <a href=imprimeDgPro.php?lin=<?=$lDP?> target='_new'><img src="imagenes/impDiag.jpg"></a>
          </td>
        </tr>
        <?php
        }
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
   ?>
   <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
   <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
   <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
   <input type="hidden" name="lin" value="<?=$le?>" />

</form>
 
<?php
}
//////////////////////////// FIN CONSULTA DE URGENCIAS 
?>
<!--===================================================================================
   =============================INICIO LISTAS DE PROCEDIMIENTOS ===============================
   =================================================================================== -->
<?php
    /*
  ?>  

<form method="_GET" action="<?php echo $_SERVER['PHP_SELF']; ?>">
 <!---/////////////////  /PROCEDIMIENTOS  ////////////////////////
     /////////////////////////////////////////////////////////////////    --->
   
  
      <table align='center' border="1" width="960">
         <tr>
          <td class='subtutulosTabla' align='left' colspan='4'>PROCEDIMIENTOS - CUPS</td> 
        </tr>
        
        <tr>    
          <td class="negrita" align="left">Ingrese la palabra (o parte de ella) a buscar y toque la 'Lupa'- o Toque la 'Lupa' para presentar toda la lista</td>
          <td rowspan="5" align="center"> 
             <input type="submit" name="btnCups" value="Adicionar Procedimiento"style="width:150;height:60"/> 
           </td>
        </tr>
        
        <tr>
          <td>
            <input type="text" name="dos" id="dos" size="45" /> 
            <!--<button onclick="abrirProc();">Buscar Procedimiento</button>--> 
            <input onclick="abrirProc();" type=image src="imagenes/lupa.jpg" width="35" height="22">
          </td>
        </tr> 
        <tr>  
          <td>
            <textarea rows="1" cols="20" wrap="soft" name="coPro_s" id="coPro_s" readonly="readonly"></textarea> 
            <textarea rows="1" cols="60" wrap="soft" name="noPro_s" id="noPro_s" readonly="readonly"></textarea>    
          </td>
        </tr> 
        
        <tr>
          <td align="left" class="camposTabla">Observaciones para el Procedimiento
            <textarea cols="60" wrap="soft" name="cupsObserva" id="cupsObserva"></textarea>
          </td>
        </tr> 
      </table>
      
      <?php 
        //arma tabla de procedimientos elegidos
        $query = " SELECT B.cups, A.descripcion, B.observaciones " .
                 " FROM SIME_PROC_POS A, TEMPORAL_PR B ".
                 " WHERE A.cups = B.cups AND ". 
                 "       B.numTemporal = '$nConsulta' ";              
        $result = mysql_query($query) or die('Consulta de procedimientos fallida: ' . mysql_error());
        
        $i=0;
        while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
        {
          $cup      = $line["cups"];
          $descr    = $line["descripcion"];
          $obsCup   = $line["observaciones"];
          
          
          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
          //echo ("<form method='post' action='historiaClinica.php'>\n");
          if ($i==0)
          {// para mostrar titulos 
             echo ("<tr>\n");
                echo   ("<td class='titulosTabla' align='center' colspan='4'>LISTA DE PROCEDIMIENTOS - CUPS</td>\n");
             echo("</tr>\n");
             echo("<tr>\n");
                echo("<td width='15%'class='negrita'align='center'>Toque para eliminar</td>\n");
                echo("<td width='43%' class='negrita'>Descripci&oacute;n</td>\n");
                echo("<td width='42%' class='negrita'>Observaciones</td>\n");
             echo("</tr>\n");
          }
          echo("<tr>\n");
            echo("<td width='15%' align='center'><input type='submit' id='BorrarCups' name='BorrarCups' value='$cup' style='width:150' onclick='return confirmation()'></td>\n");
            echo("<td width='43%' class='camposTabla' align='left'>$descr</td>\n");
            echo("<td width='42%' class='camposTabla' align='left'>$obsCup</td>\n");
          echo("</tr>\n");
          
          $i = $i+1;
        }//while 
        
        
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
      ?>

      <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
      <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
      <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
      <input type="hidden" name="lin" value="<?=$le?>" />
   


</form>

<?php
  */
?>
<!--===================================================================================
   =============================INICIO LISTAS DE MEDICAMENTOS ===============================
   =================================================================================== -->

<form method="_GET" action="<?php echo $_SERVER['PHP_SELF']; ?>">
      <!--- //////////////////////////////////////////////////////////
      /////////////////  MEDICAMENTOS /////////////////////////////////
      /////////////////////////////////////////////////////////////////--->
      <p></p>
      <table align='center' border="1" width="960">  
        <tr>
         <td class='subtutulosTabla' align='left' colspan='4'>MEDICAMENTOS</td> 
        </tr>
        
        <tr>    
          <td class="negrita" align="left">Ingrese la palabra (o parte de ella) a buscar y toque la 'Lupa'- o Toque la 'Lupa' para presentar toda la lista</td>
          <td rowspan="5" align="center"> 
             <input type="submit" name="btnMed" value="Adicionar Medicamentos" style="width:150;height:60"/> 
           </td>
        </tr>
        
        <tr>
          <td>
            <input type="text" name="tres" id="tres" size="45" />
            <!--<button onclick="abrirMed();">Buscar Medicamento</button>--> 
            <input onclick="abrirMed();" type=image src="imagenes/lupa.jpg" width="35" height="22">
          </td>
        </tr> 
        
        <tr>  
          <td>
            <textarea rows="1" cols="20" wrap="soft" name="coMed_s" id="coMed_s" readonly="readonly"></textarea> 
            <textarea rows="1" cols="60" wrap="soft" name="noMed_s" id="noMed_s" readonly="readonly"></textarea>    
          </td>
        </tr>
        
        <tr>
          <td align="left" class="camposTabla">Observaciones para el medicamento
            <textarea rows="2" cols="70" wrap="soft" name="medObserva" id="medObserva"></textarea>
          </td>
        </tr>   
      </table>

     <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
     <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
     <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
     <input type="hidden" name="lin" value="<?=$le?>" />

</form>

<form method="_GET" action="<?php echo $_SERVER['PHP_SELF']; ?>">      
      <?php 
        //arma tabla de medicamentos elegidos
         $query = " SELECT B.codMedPos, A.nombre, A.concentracion, B.observaciones" .
                  " FROM SIME_MED_POS A, SIO_MEDICAMENTOS B ".
                  " WHERE A.codigo = B.codMedPos AND ". 
                  "       B.numConsulta = '$nConsulta' ";              
        $result = mysql_query($query) or die('Consulta de medicamentos fallida: ' . mysql_error());
        
        $i=0;
        while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
          $codMed    = $line["codMedPos"];
          $nomMed    = $line["nombre"];
          $nomMed    = $nomMed ." / " . $line['concentracion'];
          $observa   = $line["observaciones"];
       
          echo("<table class='camposTabla' align='center' width='960' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='subtutulosTabla' align='center' colspan='4'>LISTA DE MEDICAMENTOS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo("<td width='15%' class='negrita'>Toque para eliminar</td>\n");
                  echo("<td width='43%' class='negrita'>Nombre</td>\n");
                  echo("<td width='42%' class='negrita'>Observaciones</td>\n");
                echo("</tr>\n");
              }
          
          echo("<td width='15%' align='center'><input type='submit' id='BorrarMed' name='BorrarMed' value='$codMed' style='width:150' onclick='return confirmation()'></td>\n");
          echo("<td width='43%' class='camposTabla' align='left'>$nomMed</td>\n");
          echo("<td width='42%' class='camposTabla' align='left'>$observa</td>\n");
          echo("</tr>\n");
        
          $i = $i+1;
        }//while
        
        if ($i>0)
        {
          $ldm=$nConsulta ."/". $s_tipoId ."/" .$s_identifica ."/". $s_tipoHistoria;
          $lDM = base64_encode($ldm);
        ?>
        <td align="right" colspan="3"> 
           <a href=sioImpMedi.php?lin=<?=$lDM?> target='_new'><img src="imagenes/impMed.jpg"></a>
        </td>
        <?php
        }
        echo("</table>\n");
        // Liberar resultados
        mysql_free_result($result);
      ?>
      
      <input type="hidden" name="yaGrabo" value="<?=$s_yaGrabo?>" />
      <input type="hidden" name="grabaPac" value="<?=$grabaPaciente?>" /> 
      <input type="hidden" name="nConsulta" value="<?=$nConsulta?>" /> 
      <input type="hidden" name="lin" value="<?=$le?>" />
   
   <table align="center" border="1" width="960">
    <tr>
     <td align="left"> 
       <?php
         if ($s_tipoHistoria!="URGENCIAS") 
         {
       ?>
         <a href=menuOpciones.php title="Men&uacute; Principal" onclick='return confirmation1()' ><img src="imagenes/btnVol.jpg"></a>       
       <?php
         }
         $ldH  = $s_tipoHistoria ."/". $nConsulta ."/" .$s_paciente ."/". $s_tipoId ."/". $s_identifica . "/" . $s_idUsuario ; 
         $lDH1 = base64_encode($ldH);
       ?>

       <a href=cerrarCita.php?lin=<?=$lDH1?> title="Cerrar Cita" onclick='return confirmation2()' ><img src="imagenes/btnGrabar.jpg"></a>
     </td>   
       
     <td width "70%" align="left" class="negrita">Toque la opci&oacute;n de GRABAR para cerrar la cita</td>

    </tr>
   </table>

   <div style=display:none;>
     <input style="visibility:hidden" name="lin" id="lin" value="<?=$le?>"/>
   </div>
    
  </form> 

  
   <script type="text/javascript">
     function abrirMed() {
      var valor1 = document.getElementById("tres").value; 
      var valor2 = "";
   
      //window.open("sioLstMd.php?v1="+valor1+"&v2="+valor2+" location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no,width=500,height=500");
      open("sioLstMd.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
    }   

 function abrirProc() {
      var valor1 = document.getElementById("dos").value; 
      var valor2 = "";
   
     // window.open("simeLstPr.php?v1="+valor1+"&v2="+valor2+" location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no,width=500,height=500");
      open("simeLstPr.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
      
      
     }
    
   </script>


 </body> 
</html>      
      